Автор Тема: {решено]apt (1.4~beta1) APT::Hashes::SHA1::Weak "yes";  (Прочитано 1343 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Вадим

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 13
{решено]apt (1.4~beta1) APT::Hashes::SHA1::Weak "yes";
« : 07 Декабря 2016, 03:36:23 »
Debian testing,при последнем обновлении появилось сообщение apt (1.4~beta1) unstable; urgency=medium

  Support for GPG signatures using the SHA1 or RIPE-MD/160 hash
  algorithms has been disabled. Repositories using Release files
  signed in such a way will stop working. This change has been made
  due to security considerations, especially with regards to possible
  further breakthroughs in SHA1 breaking during the lifetime
  of this APT release series.

  It is possible (but STRONGLY ADVISED AGAINST) to revert to the previous
  behaviour by setting the options
    APT::Hashes::SHA1::Weak "yes";
    APT::Hashes::RIPE-MD/160::Weak "yes";
  Note that setting these options only affects the verification of the overall
  repository signature.

 -- Julian Andres Klode <jak@debian.org>  Fri, 25 Nov 2016 13:19:32 +0100
Как я понял теперь пакеты с подписью sha1 больше обновляться не будут.
Чтобы обновлялись предлагают выставить опции APT::Hashes::SHA1::Weak "yes";
    APT::Hashes::RIPE-MD/160::Weak "yes";
Где,в каком файле их выставлять не могу найти,все файлы пакета APT просмотрел.
Может кто знает куда эти параметры прописать?
Или какой командой назначить?
С подписью SHA1 у меня репозиторий с последним виртуалбоксом.
« Последнее редактирование: 07 Декабря 2016, 12:08:06 от Вадим »
 

Оффлайн ogost

Re: apt (1.4~beta1) APT::Hashes::SHA1::Weak "yes";
« Ответ #1 : 07 Декабря 2016, 04:40:33 »
вероятно в /etc/apt/apt.conf.d/ нужно создать новый файл и прописать их туда.

Оффлайн Вадим

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 13
Re: apt (1.4~beta1) APT::Hashes::SHA1::Weak "yes";
« Ответ #2 : 07 Декабря 2016, 12:07:10 »
ogost,спасибо.
Создал файл /etc/apt/apt.conf.d/77apt_hassh с выше написаными опциями и всё стало на место.
А вообще сейчас посмотрел версии virtualbox в debian testing и на сайте oracle одинаковые,убрал из /etc/apt/sources.list.d файл virtualbox.list чтобы больше такая ошибка не повторялась.
 

Теги:
 

[Решено] Установка MySql на debian 7.3

Автор stalker017

Ответов: 24
Просмотров: 11130
Последний ответ 08 Февраля 2014, 14:49:46
от stalker017
(РЕШЕНО)помогите смонтировать трей в Debian

Автор sergej.biz

Ответов: 4
Просмотров: 2152
Последний ответ 05 Июня 2015, 06:00:21
от ogost
[Решено] Пропал Windows

Автор 131s

Ответов: 9
Просмотров: 3945
Последний ответ 22 Апреля 2012, 14:15:26
от kanan711
[Решено] VirtualBox 4.1 и Debian 8

Автор mmax

Ответов: 13
Просмотров: 2972
Последний ответ 13 Октября 2016, 09:02:00
от mmax
РЕШЕНО catfish и менеджер файлов

Автор I-Jurij

Ответов: 6
Просмотров: 3562
Последний ответ 07 Апреля 2012, 12:47:52
от I-Jurij